Subject: Re: [hyperv] BUG at drivers/hv/channel.c:462 while changing MTU

From: Dan Carpenter <[email-masked]>
Date: Mon, 25 Aug 2014 12:36:48 +0300

The code here is:

drivers/hv/channel.c
   460          BUG_ON(ret != 0);
   461          t = wait_for_completion_timeout(&info->waitevent, 5*HZ);
   462          BUG_ON(t == 0);

So it calls BUG_ON() if the teardown takes more than 5 seconds.  It's
most likely that there is a race condition somewhere.  It's also
possible that it's just taking longer than 5 seconds for some odd
reason and the bug would go away if we raised it to 60 seconds.

BUG_ON() after 5 seconds seems like a very aggressive thing.

regards,
dan carpenter